﻿AutoCombatLog = AceLibrary("AceAddon-2.0"):new("AceConsole-2.0", "AceEvent-2.0")

combatLoggingEnabled = 0
function AutoCombatLog:OnInitialize()
end

function AutoCombatLog:OnEnable()
    self:RegisterEvent("PLAYER_ENTERING_WORLD")
    self:RegisterEvent("PLAYER_LOGOUT")
end

function AutoCombatLog:OnDisable()
    self:UnregisterAllEvents()
end

function AutoCombatLog:PLAYER_ENTERING_WORLD()
	inInstance, instanceType = IsInInstance()
    if(inInstance == 1 and instanceType == "raid" and (combatLoggingEnabled == 0 or combatLoggingEnabled == nil)) then
		local editbox = CreateFrame("EditBox", "myEditBox", UIParent, "ChatFrameEditBoxTemplate")
		editbox:SetText("/combatlog") 
		ChatEdit_SendText(editbox)
		combatLoggingEnabled = 1
	end
	if(instanceType == "none" and combatLoggingEnabled == 1) then
		local editbox = CreateFrame("EditBox", "myEditBox", UIParent, "ChatFrameEditBoxTemplate")
		editbox:SetText("/combatlog") 
		ChatEdit_SendText(editbox)
		combatLoggingEnabled = 0
    end
end

function AutoCombatLog:PLAYER_LOGOUT()
	combatLoggingEnabled = 1
end